Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.kerberos
Class KerberosKeyIdentifierResolver

`java.lang.Object
oracle.security.xmlsec.wss.kerberos.KerberosKeyIdentifierResolver`

public abstract class KerberosKeyIdentifierResolver
extends java.lang.Object

A generic interface for resolving Kerberos Key Identifiers.

Constructor Summary
`KerberosKeyIdentifierResolver()`

Method Summary
`abstract byte[]` | `resolve(KerberosKeyIdentifier keyID, java.lang.String keyValueType)` Sub-classes need to implement this method to resolve the Kerberos key identifier and return the corresponding Kerberos V5 AP_REQ.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KerberosKeyIdentifierResolver

    public KerberosKeyIdentifierResolver()

Method Detail

### resolve

    public abstract byte[] resolve(KerberosKeyIdentifier keyID,
                                   java.lang.String keyValueType)
                            throws KerberosKeyIdentifierResolverException

  Sub-classes need to implement this method to resolve the Kerberos key identifier and return the corresponding Kerberos V5 AP_REQ.
  Parameters:
    `keyID` - The subject public key identifier.
    `keyValueType` - The key data Value Type.
  Returns:
    The referenced Kerberos V5 AP_REQ on success or `null` on failure.
  Throws:
    `KerberosKeyIdentifierResolverException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.